Package org.codehaus.plexus.util.cli

# Class StreamFeeder

java.lang.Object
java.lang.Thread
org.codehaus.plexus.util.cli.AbstractStreamHandler
org.codehaus.plexus.util.cli.StreamFeeder

All Implemented Interfaces:
  `Runnable`

public class StreamFeeder extends AbstractStreamHandler
Read from an InputStream and write the output to an OutputStream.

Author:
  Trygve Laugstøl

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`StreamFeeder(InputStream input, OutputStream output)`
Create a new StreamFeeder

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`Throwable`
`getException()`
`void`
`run()`

### Methods inherited from class org.codehaus.plexus.util.cli.AbstractStreamHandler

`disable, isDisabled, isDone, setDone, waitUntilDone`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StreamFeeder

public StreamFeeder(InputStream input, OutputStream output)
Create a new StreamFeeder

Parameters:
  `input` - Stream to read from
  `output` - Stream to write to

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`

### close

public void close()

### getException

public Throwable getException()

Returns:
  the Exception
Since:
  3.1.0